Gets the error message

- « Error::__construct

- Error::getPrevious »

- PHP Manual
- Error
- Gets the error message

# Error::getMessage

(PHP 7, PHP 8)

Error::getMessage — Gets the error message

### Description

final public Error::getMessage(): string

Returns the error message.

### Parameters

This function has no parameters.

### Return Values

Returns the error message as a string.

### Examples

Example #1 Error::getMessage() example

    <?phptry {    throw new Error("Some error message");} catch(Error $e) {    echo $e->getMessage();}?>

The above example will output something similar to:

    Some error message

### See Also

- Throwable::getMessage() - Gets the message